class EventHandler:
    def __init__(self):
        self.callbacks = []
        self.debug = False

    def trigger(self):
        for callback in self.callbacks:
            callback()

    def run(self, *arg, **kwarg):
        for callback in self.callbacks:
            callback(*arg, **kwarg)

    def add(self, callback):
        self.callbacks.append(callback)

    def remove(self, callback):
        self.callbacks.remove(callback)

    def purge(self):
        self.callbacks = []

    def __call__(self, *args):
        self.add(args[0])
        return args[0]
